Subject: [Sipping] Questions and remarks on service-examples-08

From: Joël Repiquet <[email-masked]>
Date: Wed, 8 Jun 2005 15:40:38 +0200

Hi,

In the perspective of service-examples-09, here is a recollection in this
quite long message, example by example, of a number of mismatches
(related to tags, URIs...) that
I have noticed for all the cases in service-examples-08.

Prior to this, I have two questions:

1) The "Allow" and "Supported" fields are not applicable to ACK
requests (tables 2 and 3 of RFC3261) but this occur so many times
in the examples that I am wondering whether I am right.
Do you confirm?

2) All 200 OK responses (but one) to CANCEL requests do not contain a
tag (the Request's one) in the From field. This is an omission, BUT:
none of these 200 OK responses have a tag in the To field.
However, at the end of RFC3261 §9.2, it is mentioned that:
   "This response is
   constructed following the procedures described in Section 8.2.6
   noting that the To tag of the response to the CANCEL and the To tag
   in the response to the original request SHOULD be the same."
As a result, the To tag in the 200 OK response to a CANCEL should be
the To tag of the 180 Ringing / 200 OK responses to the request
that is cancelled.
I have checked the examples in RFC3665 and RFC3666 and responses to
CANCEL requests do not have a To tag either!
Have I missed something?

Here are the corrections I have noticed in each example:

2.1  Call Hold
--------------
Allow and Supported fields to be removed in F8/F9, F14/F15, F20/F21

2.2  Consultation Hold
----------------------
Allow and Supported fields to be removed in F8/F9, F14, F23/F24, F33/F34

2.3 Music On Hold
-----------------
Allow and Supported fields to be removed in F4, F9/F10, F15
p.34: "with hold SDP" duplicated
p.37, F6: "Carol -> Bob" to be replaced by "Music Server -> Bob"
      F7: "atlanta" to be replaced by "biloxi" in "o=" SDP field
p.38, F8: "bob" to be replaced by "alice" in Contact field
p.40, F14: "bob" to be replaced by "alice" in Contact field

2.4 Transfer - Unattended
-------------------------
Allow and Supported fields to be removed in F4
p.42, in the time-diagram:
 F15 and F16 for the two last messages instead of F14 and F15
 and in the text below: F14 to be replaced by F15 (twice)
p.44: "Alice peforms" -> "Alice performs"
      F5: "1 REFER" instead of "2 REFER" (very likely)
p.45, F6: "1 REFER" instead of "2 REFER"
      F9: "2 BYE" instead of "3 BYE"
p.46, F10: "2 BYE" instead of "3 BYE"

2.5 Transfer - Attended
-------------------------
Allow and Supported fields to be removed in F4, F21
p.56, F16:
     "tag=1234567" to be replaced by "tag=23431" in From field
     "tag=23431" to be replaced by "tag=1234567" in To field
p.57, F17:
     Alice should be mentioned in the Contact field, instead of Bob
p.57, F18: "Bob -> Alice" instead of "Bob -> Carol"
     The following fields:
       To: Bob <sips:[email-masked]>;tag=1234567
       From: Carol <sips:[email-masked]>;tag=5f35a3
     to be replaced by:
       To: Bob <sips:[email-masked]>;tag=23431
       From: Alice <sips:[email-masked]>;tag=1234567
p.58, F20:
     "carol" instead of "alice" in "o=" SDP field
p.58, F21:
     "1 ACK" instead of "1 INVITE" in CSeq field
p.59, F24:
     the message body is an excerpt of F20 (I believe)
     and as a result, the To, From, Call-ID and Contact
     fields should be:
      To: Carol <sips:[email-masked]>;tag=ff3a
      From: Alice <sips:[email-masked]>;tag=3461
      Call-ID: [email-masked]
      Contact: <sips:[email-masked]>
     instead of:
      From: Carol <sips:[email-masked]>;tag=ff3a
      To: Alice <sips:[email-masked]>;tag=3461
      Call-ID: [email-masked]
      Contact: <sips:[email-masked]>
p.60, F25:
     "Bob -> Alice" instead of "Bob -> Carol"
     and
     the To and From fields should be:
      From: Alice <sips:[email-masked]>;tag=1234567
      To: Bob <sips:[email-masked]>;tag=23431
     instead of:
      From: Carol <sips:[email-masked]>;tag=5f35a3
      To: Bob <sips:[email-masked]>;tag=1234567

2.6 Transfer - Instant Messaging
--------------------------------
Allow and Supported fields to be removed in F4
p.62, F1: in the Request-URI and the To field:
     "[email-masked]" instead of "[email-masked]"
p.63, F5: the line
        [email-masked]%3Bfrom-tag%3D314159%3Bto-tag%3D1234567">
      to be repaced by:
        [email-masked]%3Bfrom-tag%3D1234567%3Bto-tag%3D3145678">
p.64, F7, in the Replaces field:
     "to-tag=314578" to be replaced by "to-tag=3145678"
p.64, F7, in the SDP "o=": "Carol" instead of "Bob"

Q: in F7, the tag field in the From field (8675309) is the same as in F6.
   is there a relationship?

p.65, F10:
      the line:
        BYE sips:[email-masked] SIP/2.0
      to be replaced by:
        BYE sips:[email-masked] SIP/2.0

p.65, F10 and p.66, F11:
      the lines:
        To: Bob <sips:[email-masked]>;tag=8675309
        From: Alice <sips:[email-masked]>;tag=131256
        Call-ID: [email-masked]
      to be replaced by:
        From: Alice <sips:[email-masked]>;tag=1234567
        To: Bob <sips:[email-masked]>;tag=3145678
        Call-ID: [email-masked]

2.7 Call Forwarding Unconditional
---------------------------------
p.71, F11:
      The Route field should be:
        Route: <sips:ss1.example.com;lr>
      i.e. the same as in F9
p.70,71, F11 to F14:
      "Proxy" instead of "Proxy 1"

2.8 Call Forwarding - Busy
--------------------------
p.77, F12: add the fields
      CSeq: 1 ACK
      Content-Length: 0

2.9  Call Forwarding - No Answer
--------------------------------
p.82, F7:
      add ";tag=1234567" to From field
      add ";tag=3145678" to To field

2.10  3-way Conference - Third Party is Added
---------------------------------------------
p.89, F5:
      I believe the "a=sendonly" is irrelevant (otherwise the
      diagram on p.87 is to be updated).
      Maybe the fact that the port is modified should be commented.
p.90, F6:
      Accordingly, the "a=recvonly" is irrelevant and the version
      number should not be incremented

2.11  3-way Conference - Third Party Joins
------------------------------------------
Allow and Supported fields to be removed in F11
p.98, F11:
      "Carol -> Bob" instead of "Bob -> Carol"

2.12  Single Line Extension
---------------------------
p.106, F15:
      add ";tag=1234567" to From field
      add ";tag=765432" to To field
p.110, F27:
      "F27 482 Loop Detected" instead of "F27 200 OK"
p.111-113, F28-F31:
      in the Join field: "to-tag=7137136" instead of "765432"
p.115, F38:
      "Proxy -> User B2" instead of "User B3 -> Proxy"

2.13  Find-Me
-------------
p.119, F7:
      add ";tag=1234567" to From field
      add ";tag=765432" to To field
p.123, F18:
      "Proxy -> Alice" instead of "B4 -> Proxy"

2.14  Call Management (Incoming Call Screening)
-----------------------------------------------
p.131-133:
      "announcement" instead of "annoucement"
p.132-133: F12 and F13:
      in Contact field: "<sips:announcement.example.com>"
      instead of: <sips:announce.example.com>
p.133, F15:
      in the BYE command line:
      "[email-masked]"
      instead of "[email-masked]"

2.15  Call Management (Outgoing Call Screening)
-----------------------------------------------
p.136, F5:
      in the Error-Info field: "announcement" instead of "annoucement"

2.16  Call Park
---------------
Allow and Supported fields to be removed in F4
p.142, F10 and F11
      in the To field, "Alice " to be removed
p.143, F14
      in the CSeq field: "2 NOTIFY" instead of "1 NOTIFY"
      in the Content:
         "Alice " to be removed from the To field
         "1 INVITE" instead of "2 INVITE" in the CSeq field

2.17  Call Pickup
-----------------
p.149, F6 and F7:
      the "To" tag in F6 and the "From" tag in F7 is the same
      (8675309). This may be ambiguous since there is no
      correlation.
p.150, F7:
      in the "o=" field maybe it is "Bill" instead of "Bob"
p.119, F10:
      add ";tag=3145678" to To field
p.153, F16:
      "Alice -> Bill" instead of "Alice -> Bob"
      in the BYE command line:
         "sips:[email-masked]" to be replaced by:
         "sips:[email-masked]"
      "1 BYE" instead of "2 BYE"
p.153, F17:
      "Bill -> Alice" instead of "Bob -> Alice"
      "1 BYE" instead of "2 BYE"

2.18  Automatic Redial
----------------------
p.155, F3:
      "ACK" instead of "INVITE" in the command line
p.156, F5:
      ";tag=341123" missing in the To field,
      in the Contact field: "bob" instead of "alice"

2.19  Click to Dial
-------------------
p.161, F3:
      "Bob -> PC" instead of "Bob -> Alice"
      in the NOTIFY command line "pc" instead of "alice"
p.161, F4:
      "PC -> Bob" instead of "Alice -> Bob"
p.161, F5:
      in the Referred-By field: "pc.biloxi.example.com"
      instead of "[email-masked]"

Best Regards
Joël Repiquet

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP